<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetToolbarItemIDs Method (IEdmMenu5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmMenu5 Interface : GetToolbarItemIDs Method (IEdmMenu5)

Visual Basic
C#
C++/CLI

ppoRetID
  Array of IDs (see Remarks)

Gets the toolbar buttons associated with the menu commands.

# Syntax

Visual Basic |
--- | ---

    Sub GetToolbarItemIDs( _
       ByRef ppoRetID() As System.Integer _
    )

C# |
--- | ---

    void GetToolbarItemIDs(
       out System.int[] ppoRetID
    )

C++/CLI |
--- | ---

    void GetToolbarItemIDs(
    &   [Out] System.array<int>^ ppoRetID
    )

#### Parameters

ppoRetID
  Array of IDs (see Remarks)

# Remarks

The toolbar buttons were added to SOLIDWORKS PDM Professional with the EdmMenuFlags.EdmMenu_HasToolbarButton flag specified in the call to IEdmCmdMgr5::AddCmd.

C++ programmers must remember to correctly create and destroy the returned SAFEARRAY of IDs to avoid errors.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmMenu5 Interface
IEdmMenu5 Members
IEdmMenu6::GetItems Method ()

# Availability

Version 5.2 of SOLIDWORKS PDM Professional